Package groovy.json.internal

# Class FastStringUtils

java.lang.Object
groovy.json.internal.FastStringUtils

public class FastStringUtils extends Object
Internal class for fast processing of Strings during JSON parsing

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static enum`
`FastStringUtils.StringImplementation`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`ENABLED`
`static final long`
`STRING_COUNT_FIELD_OFFSET`
`static FastStringUtils.StringImplementation`
`STRING_IMPLEMENTATION`
`static final long`
`STRING_OFFSET_FIELD_OFFSET`
`static final long`
`STRING_VALUE_FIELD_OFFSET`
`static final sun.misc.Unsafe`
`UNSAFE`

## Constructor Summary

Constructors
Constructor
Description
`FastStringUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`noCopyStringFromChars(char[] chars)`
`static char[]`
`toCharArray(CharSequence charSequence)`
`static char[]`
`toCharArray(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNSAFE

public static final sun.misc.Unsafe UNSAFE

### STRING_VALUE_FIELD_OFFSET

public static final long STRING_VALUE_FIELD_OFFSET

### STRING_OFFSET_FIELD_OFFSET

public static final long STRING_OFFSET_FIELD_OFFSET

### STRING_COUNT_FIELD_OFFSET

public static final long STRING_COUNT_FIELD_OFFSET

### ENABLED

public static final boolean ENABLED

### STRING_IMPLEMENTATION

public static FastStringUtils.StringImplementation STRING_IMPLEMENTATION

## Constructor Details

### FastStringUtils

public FastStringUtils()

## Method Details

### toCharArray

public static char[] toCharArray(String string)

Parameters:
  `string` - string to grab array from.
Returns:
  char array from string

### toCharArray

public static char[] toCharArray(CharSequence charSequence)

Parameters:
  `charSequence` - to grab array from.
Returns:
  char array from char sequence

### noCopyStringFromChars

public static String noCopyStringFromChars(char[] chars)

Parameters:
  `chars` - to shove array into.
Returns:
  new string with chars copied into it